0

Installed Magento 2.3.1 with sample data there are no js errors on the console. After changing the theme to Ves Need from Venustheme.

http://www.venustheme.com/theme/ves-need/

On hard refresh, the below issue occurs.

Uncaught TypeError: Cannot read property 'version' of undefined

Can someone please help me to sort out this issue.

closed as off-topic by Manashvi Birla, HelgeB, Dhiren Vasoya, Jai, Aasim Goriya Apr 8 at 11:30

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions describing a problem that can't be reproduced OR seemingly went away on its own (or went away when a typo was fixed) are off-topic as they are unlikely to help future readers." – Manashvi Birla, HelgeB, Dhiren Vasoya, Jai, Aasim Goriya
If this question can be reworded to fit the rules in the help center, please edit the question.

  • can you post complete error log – fmsthird Apr 8 at 9:56
  • 1
    Upgraded the jquery-ui from 1.10 to 1.12, now no issues. Thank you so much. – Ejilarasan J Apr 8 at 10:18
2

Updated jquery-ui from 1.10 to 1.12 now the version issue has been resolved.

  • I'm getting this error as well, could you share the process you used to upgrade jQuery? – Daniel Black Jun 5 at 15:47
  • On Magento 2.2, under lib/web/jquery/jquery-ui.js replace the downloaded jquery-ui codes. Finally, run the below command from the Magento root directory code sudo chmod 777 -R var/* pub/* generated/* php bin/magento setup:upgrade php bin/magento setup:di:compile php bin/magento setup:static-content:deploy -f php bin/magento indexer:reindex php bin/magento cache:clean php bin/magento cache:flush sudo chmod 777 -R var/* pub/* generated/* code – Ejilarasan J Jun 6 at 16:01

Not the answer you're looking for? Browse other questions tagged or ask your own question.